# インフラ管理DX領域API仕様

### 概要
- インフラ管理DX領域のAPI仕様です。
- 空間ID仕様については以下のリンクを参照して下さい。
<!--[Digital Architecture Design Center 4次元時空間情報基盤 ガイドライン](https://www.ipa.go.jp/digital/architecture/guidelines/4dspatio-temporal-guideline.html)-->
<p><a href="https://www.ipa.go.jp/digital/architecture/guidelines/4dspatio-temporal-guideline.html" target="_blank">Digital Architecture Design Center 4次元時空間情報基盤アーキテクチャガイドライン</a></p>

### （1）インフラ管理DX領域API仕様
APIプロトコルには、RESTを適用する。APIはOpenAPI（yaml形式）で定義する。仕様書の可読性を上げるために、下図に示す方法でhtml化を行う。
|仕様名|ファイル名|
|----|----|
|OpenAPI仕様（ハイレベルAPI）|rest_sdsp_u.yaml|
|RESTインタフェース仕様（ハイレベルAPI）|rest_sdsp_u.html|

![image](image.png)

- OpenAPI仕様（ハイレベルAPI）：ハイレベルAPIを対象にAPI IFを定義したファイル
- RESTインタフェース仕様（ハイレベルAPI）：OpenAPI仕様（ハイレベルAPI）をhtmlに整形したファイル
